# AILibrary Class Reference

All static information from an AI library like name, version, etc. More...

`#include <ai_info.hpp>`

Inheritance diagram for AILibrary:

## Public Member Functions
const char * | GetCategory () const
| Get the category this library is in.
## Static Public Member Functions
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an AI, using this AIInfo as start-template.
static SQInteger | Import (HSQUIRRELVM vm)
| Import a library in the current AI.
## Private Attributes
const char * | category
| The category this library is in.

## Detailed Description

All static information from an AI library like name, version, etc.

Definition at line 134 of file ai_info.hpp.

## Member Function Documentation

SQInteger AILibrary::Import | ( | HSQUIRRELVM | vm | ) | `[static]`

Import a library in the current AI.

This function can be used by AIs by calling import.

Parameters:

  | vm | The squirrel vm of the calling AI.

Definition at line 376 of file ai_info.cpp.

References SQConvert::GetParam(), and AI::ImportLibrary().

The documentation for this class was generated from the following files:

- src/ai/ai_info.hpp
- src/ai/ai_info.cpp